aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-04-09 08:01:27 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-04-09 08:01:46 +0000
commitb2cba7ec1365853a10042f501d62cf0402226aaf (patch)
treef16d4c8e4370c5b4c65205ca7663877cb11de21e /main
parent3416ec684b19f3d365a6b7781cdf366c30ebb701 (diff)
downloadaports-b2cba7ec1365853a10042f501d62cf0402226aaf.tar.gz
aports-b2cba7ec1365853a10042f501d62cf0402226aaf.tar.bz2
aports-b2cba7ec1365853a10042f501d62cf0402226aaf.tar.xz
main/*: remove libiconv-dev from makedepends
Diffstat (limited to 'main')
-rw-r--r--main/dansguardian/APKBUILD2
-rw-r--r--main/dbus-glib/APKBUILD2
-rw-r--r--main/deadbeef/APKBUILD2
-rw-r--r--main/desktop-file-utils/APKBUILD2
-rw-r--r--main/doxygen/APKBUILD2
-rw-r--r--main/elinks/APKBUILD2
-rw-r--r--main/enchant/APKBUILD2
-rw-r--r--main/fish/APKBUILD2
-rw-r--r--main/fluxbox/APKBUILD2
-rw-r--r--main/freeswitch/APKBUILD1
-rw-r--r--main/freetds/APKBUILD2
-rw-r--r--main/fuse/APKBUILD2
-rw-r--r--main/gdb/APKBUILD2
-rw-r--r--main/gettext/APKBUILD2
-rw-r--r--main/ghostscript/APKBUILD2
-rw-r--r--main/glib/APKBUILD2
-rw-r--r--main/gnupg/APKBUILD2
-rw-r--r--main/gnupg1/APKBUILD2
-rw-r--r--main/gstreamer0.10/APKBUILD2
-rw-r--r--main/gtk+2.0/APKBUILD1
-rw-r--r--main/gtk+3.0/APKBUILD1
-rw-r--r--main/gtk-vnc/APKBUILD2
-rw-r--r--main/jwhois/APKBUILD2
-rw-r--r--main/libcddb/APKBUILD3
-rw-r--r--main/libcdio-paranoia/APKBUILD2
-rw-r--r--main/libcdio/APKBUILD3
-rw-r--r--main/libgphoto2/APKBUILD2
-rw-r--r--main/libidn/APKBUILD2
-rw-r--r--main/libisofs/APKBUILD2
-rw-r--r--main/libmtp/APKBUILD2
-rw-r--r--main/libwnck/APKBUILD2
-rw-r--r--main/lua-xctrl/APKBUILD2
-rw-r--r--main/minicom/APKBUILD2
-rw-r--r--main/minidlna/APKBUILD2
-rw-r--r--main/mutt/APKBUILD2
-rw-r--r--main/oprofile/APKBUILD2
-rw-r--r--main/pekwm/APKBUILD2
-rw-r--r--main/php/APKBUILD1
-rw-r--r--main/poppler/APKBUILD2
-rw-r--r--main/ruby-nokogiri/APKBUILD2
-rw-r--r--main/ruby/APKBUILD2
-rw-r--r--main/samba/APKBUILD2
-rw-r--r--main/sdl/APKBUILD4
-rw-r--r--main/tango-icon-theme/APKBUILD2
-rw-r--r--main/tig/APKBUILD2
-rw-r--r--main/unionfs-fuse/APKBUILD2
-rw-r--r--main/vlc/APKBUILD1
-rw-r--r--main/wavpack/APKBUILD3
-rw-r--r--main/weechat/APKBUILD2
-rw-r--r--main/xen/APKBUILD2
-rw-r--r--main/zabbix/APKBUILD2
51 files changed, 44 insertions, 58 deletions
diff --git a/main/dansguardian/APKBUILD b/main/dansguardian/APKBUILD
index 07c5331a7e..66a1f4c5af 100644
--- a/main/dansguardian/APKBUILD
+++ b/main/dansguardian/APKBUILD
@@ -8,7 +8,7 @@ url="http://dansguardian.org"
arch="all"
license="GPL"
depends="logrotate"
-makedepends="zlib-dev pcre-dev pkgconfig libiconv-dev"
+makedepends="zlib-dev pcre-dev pkgconfig"
install="$pkgname.pre-install"
subpackages="$pkgname-doc"
pkgusers="dansguar"
diff --git a/main/dbus-glib/APKBUILD b/main/dbus-glib/APKBUILD
index 48708be451..6777907aa0 100644
--- a/main/dbus-glib/APKBUILD
+++ b/main/dbus-glib/APKBUILD
@@ -8,7 +8,7 @@ arch="all"
license="GPL"
subpackages="$pkgname-dev $pkgname-doc"
depends=
-makedepends="pkgconfig dbus-dev glib-dev libiconv-dev gettext-dev expat-dev"
+makedepends="pkgconfig dbus-dev glib-dev gettext-dev expat-dev"
source="http://dbus.freedesktop.org/releases/$pkgname/$pkgname-$pkgver.tar.gz"
depends_dev="glib-dev dbus-dev"
diff --git a/main/deadbeef/APKBUILD b/main/deadbeef/APKBUILD
index 22a244d337..181aacf555 100644
--- a/main/deadbeef/APKBUILD
+++ b/main/deadbeef/APKBUILD
@@ -11,7 +11,7 @@ arch="all"
license="GPL"
depends=
depends_dev="gtk+-dev libmad-dev alsa-lib-dev ffmpeg-dev libsamplerate-dev
- gettext-dev libiconv-dev flac-dev libvorbis-dev"
+ gettext-dev flac-dev libvorbis-dev"
makedepends="$depends_dev intltool gettext"
install=""
subpackages="$pkgname-dev $pkgname-lang"
diff --git a/main/desktop-file-utils/APKBUILD b/main/desktop-file-utils/APKBUILD
index 37c92da8d5..bb51172f66 100644
--- a/main/desktop-file-utils/APKBUILD
+++ b/main/desktop-file-utils/APKBUILD
@@ -7,7 +7,7 @@ url="http://www.freedesktop.org/wiki/Software/desktop-file-utils"
arch="all"
license="GPL"
depends=
-makedepends="glib-dev libiconv-dev gettext-dev pkgconfig"
+makedepends="glib-dev gettext-dev pkgconfig"
triggers="$pkgname.trigger=/usr/share/applications"
source="http://www.freedesktop.org/software/$pkgname/releases/$pkgname-$pkgver.tar.xz"
diff --git a/main/doxygen/APKBUILD b/main/doxygen/APKBUILD
index 94b4ca240f..2a7d3a518a 100644
--- a/main/doxygen/APKBUILD
+++ b/main/doxygen/APKBUILD
@@ -7,7 +7,7 @@ url="http://www.doxygen.org/"
arch="all"
license="GPL"
depends=""
-makedepends="flex bison coreutils perl libiconv-dev python"
+makedepends="flex bison coreutils perl python"
subpackages="$pkgname-doc"
source="http://ftp.stack.nl/pub/users/dimitri/doxygen-$pkgver.src.tar.gz"
diff --git a/main/elinks/APKBUILD b/main/elinks/APKBUILD
index 564bf68579..5500e7a19a 100644
--- a/main/elinks/APKBUILD
+++ b/main/elinks/APKBUILD
@@ -9,7 +9,7 @@ url="http://elinks.or.cz/"
arch="all"
license="GPL"
depends=
-makedepends="bzip2-dev zlib-dev openssl-dev expat-dev libiconv-dev gettext-dev"
+makedepends="bzip2-dev zlib-dev openssl-dev expat-dev gettext-dev"
install=
subpackages="$pkgname-doc $pkgname-lang"
source="http://elinks.or.cz/download/elinks-$_ver.tar.bz2
diff --git a/main/enchant/APKBUILD b/main/enchant/APKBUILD
index d09d921dc9..0e0493cdc4 100644
--- a/main/enchant/APKBUILD
+++ b/main/enchant/APKBUILD
@@ -9,7 +9,7 @@ license="LGPL2+"
subpackages="$pkgname-dev $pkgname-doc"
depends=""
depends_dev="glib-dev"
-makedepends="aspell-dev dbus-glib-dev hunspell-dev libiconv-dev gettext-dev"
+makedepends="aspell-dev dbus-glib-dev hunspell-dev gettext-dev"
source="http://www.abisource.com/downloads/$pkgname/$pkgver/$pkgname-$pkgver.tar.gz"
_builddir="$srcdir/$pkgname-$pkgver"
diff --git a/main/fish/APKBUILD b/main/fish/APKBUILD
index 7d6f170902..67aa242efa 100644
--- a/main/fish/APKBUILD
+++ b/main/fish/APKBUILD
@@ -11,7 +11,7 @@ arch="all"
license="GPL"
depends=""
-depends_dev="libiconv-dev ncurses-dev"
+depends_dev="ncurses-dev"
makedepends="$depends_dev autoconf automake libtool"
install=""
subpackages="$pkgname-doc"
diff --git a/main/fluxbox/APKBUILD b/main/fluxbox/APKBUILD
index 7da9a467f7..8933de1621 100644
--- a/main/fluxbox/APKBUILD
+++ b/main/fluxbox/APKBUILD
@@ -9,7 +9,7 @@ license="MIT"
subpackages="$pkgname-doc"
depends=
makedepends="pkgconfig libxinerama-dev libxpm-dev libxrandr imlib2-dev
- libxrender-dev libxrandr-dev libxinerama-dev freetype-dev libiconv-dev
+ libxrender-dev libxrandr-dev libxinerama-dev freetype-dev
libxft-dev"
source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2"
diff --git a/main/freeswitch/APKBUILD b/main/freeswitch/APKBUILD
index 33b80edd2d..551b9030a8 100644
--- a/main/freeswitch/APKBUILD
+++ b/main/freeswitch/APKBUILD
@@ -20,7 +20,6 @@ makedepends="bash
ldns-dev
lame-dev
libedit-dev
- libiconv-dev
libjpeg-turbo-dev
libogg-dev
libpri-dev
diff --git a/main/freetds/APKBUILD b/main/freetds/APKBUILD
index c4838391c1..5dacae5f14 100644
--- a/main/freetds/APKBUILD
+++ b/main/freetds/APKBUILD
@@ -8,7 +8,7 @@ url="http://www.freetds.org/"
arch="all"
license="GPL"
depends=
-makedepends="unixodbc-dev readline-dev libiconv-dev libtool autoconf automake
+makedepends="unixodbc-dev readline-dev libtool autoconf automake
linux-headers"
install=
subpackages="$pkgname-doc $pkgname-dev"
diff --git a/main/fuse/APKBUILD b/main/fuse/APKBUILD
index eadcabf2ea..332076c4df 100644
--- a/main/fuse/APKBUILD
+++ b/main/fuse/APKBUILD
@@ -7,7 +7,7 @@ url="http://fuse.sourceforge.net/"
arch="all"
license="GPL2"
depends=
-makedepends="pkgconfig libiconv-dev gettext-dev"
+makedepends="pkgconfig gettext-dev"
install=
subpackages="$pkgname-dev"
source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
diff --git a/main/gdb/APKBUILD b/main/gdb/APKBUILD
index 25a66708f9..6c7f4a35eb 100644
--- a/main/gdb/APKBUILD
+++ b/main/gdb/APKBUILD
@@ -7,7 +7,7 @@ url="http://sources.redhat.com/gdb/"
arch="all"
license="GPL3"
depends=
-makedepends="ncurses-dev expat-dev texinfo readline-dev libiconv-dev python-dev
+makedepends="ncurses-dev expat-dev texinfo readline-dev python-dev
autoconf automake libtool"
subpackages="$pkgname-doc"
source="http://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.bz2
diff --git a/main/gettext/APKBUILD b/main/gettext/APKBUILD
index 7a5a9aa4c1..a47160caab 100644
--- a/main/gettext/APKBUILD
+++ b/main/gettext/APKBUILD
@@ -7,7 +7,7 @@ url="http://www.gnu.org/software/gettext/gettext.html"
arch="all"
license='GPL'
depends=
-depends_dev="libiconv-dev expat-dev ncurses-dev libxml2-dev"
+depends_dev="expat-dev ncurses-dev libxml2-dev"
makedepends="$depends_dev bash"
source="ftp://ftp.gnu.org/gnu/gettext/gettext-$pkgver.tar.xz
"
diff --git a/main/ghostscript/APKBUILD b/main/ghostscript/APKBUILD
index 894993a52d..f59c8c6fd4 100644
--- a/main/ghostscript/APKBUILD
+++ b/main/ghostscript/APKBUILD
@@ -8,7 +8,7 @@ url="http://ghostscript.com/"
arch="all"
license="GPL3"
makedepends="autoconf automake libjpeg-turbo-dev libpng-dev jasper-dev expat-dev
- zlib-dev tiff-dev freetype-dev libiconv-dev lcms2-dev gtk+3.0-dev
+ zlib-dev tiff-dev freetype-dev lcms2-dev gtk+3.0-dev
cups-dev libtool jbig2dec-dev openjpeg-dev"
subpackages="$pkgname-doc $pkgname-dev $pkgname-gtk"
source="http://downloads.ghostscript.com/public/$pkgname-$pkgver.tar.gz
diff --git a/main/glib/APKBUILD b/main/glib/APKBUILD
index 0cdc6a99f2..d5e781ff78 100644
--- a/main/glib/APKBUILD
+++ b/main/glib/APKBUILD
@@ -8,7 +8,7 @@ arch="all"
license='GPL'
depends=
triggers="$pkgname.trigger=/usr/share/glib-2.0/schemas:/usr/lib/gio/modules"
-depends_dev="perl gettext-dev libiconv-dev zlib-dev bzip2-dev libffi-dev"
+depends_dev="perl gettext-dev zlib-dev bzip2-dev libffi-dev"
makedepends="$depends_dev"
source="http://ftp.gnome.org/pub/gnome/sources/glib/${pkgver%.*}/glib-$pkgver.tar.xz"
subpackages="$pkgname-dbg $pkgname-doc $pkgname-dev $pkgname-lang"
diff --git a/main/gnupg/APKBUILD b/main/gnupg/APKBUILD
index a0033946bd..50dd9749c8 100644
--- a/main/gnupg/APKBUILD
+++ b/main/gnupg/APKBUILD
@@ -10,7 +10,7 @@ license="GPL"
options=""
depends="pinentry"
makedepends="curl-dev libassuan libksba-dev libgcrypt-dev libgpg-error-dev
- npth-dev zlib-dev libiconv-dev libassuan-dev openldap-dev"
+ npth-dev zlib-dev libassuan-dev openldap-dev"
subpackages="$pkgname-doc"
source="ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-$_ver.tar.bz2
0001-Include-sys-select.h-for-FD_SETSIZE.patch
diff --git a/main/gnupg1/APKBUILD b/main/gnupg1/APKBUILD
index c3656f9ea6..b7c0c362fc 100644
--- a/main/gnupg1/APKBUILD
+++ b/main/gnupg1/APKBUILD
@@ -8,7 +8,7 @@ arch="all"
license="GPL"
depends="pinentry"
makedepends="curl-dev libassuan libksba-dev libgcrypt-dev libgpg-error-dev
- zlib-dev libiconv-dev libassuan-dev"
+ zlib-dev libassuan-dev"
subpackages="$pkgname-doc"
provides="gnupg=$pkgver-r$pkgrel"
replaces="gnupg"
diff --git a/main/gstreamer0.10/APKBUILD b/main/gstreamer0.10/APKBUILD
index ede6018776..e5ce9a28bd 100644
--- a/main/gstreamer0.10/APKBUILD
+++ b/main/gstreamer0.10/APKBUILD
@@ -9,7 +9,7 @@ license="LGPL"
subpackages="$pkgname-dev $pkgname-doc $pkgname-tools $pkgname-lang"
depends=
replaces="gstreamer"
-makedepends="pkgconfig libxml2-dev glib-dev bison flex gettext-dev libiconv-dev
+makedepends="pkgconfig libxml2-dev glib-dev bison flex gettext-dev
gobject-introspection-dev"
source="http://gstreamer.freedesktop.org/src/gstreamer/gstreamer-$pkgver.tar.bz2
gst-bison-3.patch
diff --git a/main/gtk+2.0/APKBUILD b/main/gtk+2.0/APKBUILD
index dbee44a73a..564338053d 100644
--- a/main/gtk+2.0/APKBUILD
+++ b/main/gtk+2.0/APKBUILD
@@ -35,7 +35,6 @@ makedepends="pkgconfig
gobject-introspection-dev
gtk-doc
libice-dev
- libiconv-dev
libx11-dev
libxcomposite-dev
libxcursor-dev
diff --git a/main/gtk+3.0/APKBUILD b/main/gtk+3.0/APKBUILD
index 848a84f9cc..9b01085a3f 100644
--- a/main/gtk+3.0/APKBUILD
+++ b/main/gtk+3.0/APKBUILD
@@ -42,7 +42,6 @@ makedepends="pkgconfig
gnutls-dev
gobject-introspection-dev
libice-dev
- libiconv-dev
tiff-dev
zlib-dev"
source="http://ftp.gnome.org/pub/gnome/sources/gtk+/${pkgver%.*}/gtk+-$pkgver.tar.xz"
diff --git a/main/gtk-vnc/APKBUILD b/main/gtk-vnc/APKBUILD
index 6ca0cb860f..4e2bfffbc6 100644
--- a/main/gtk-vnc/APKBUILD
+++ b/main/gtk-vnc/APKBUILD
@@ -7,7 +7,7 @@ url="http://live.gnome.org/gtk-vnc"
arch="all"
license="LGPL"
depends_dev="gtk+3.0-dev gnutls-dev glib-dev"
-makedepends="$depends_dev libiconv-dev gettext-dev intltool expat-dev
+makedepends="$depends_dev gettext-dev intltool expat-dev
libgcrypt-dev libgpg-error-dev cyrus-sasl-dev perl-text-csv
gobject-introspection-dev vala sed"
source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.xz"
diff --git a/main/jwhois/APKBUILD b/main/jwhois/APKBUILD
index 817d4c7d79..7edeef5259 100644
--- a/main/jwhois/APKBUILD
+++ b/main/jwhois/APKBUILD
@@ -6,7 +6,7 @@ pkgdesc="WHOIS/RWHOIS client"
url="http://www.gnu.org/software/jwhois/"
license="GPL"
depends=
-makedepends="libiconv-dev autoconf automake libtool gdbm-dev"
+makedepends="autoconf automake libtool gdbm-dev"
install=
subpackages="$pkgname-doc"
source="http://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz
diff --git a/main/libcddb/APKBUILD b/main/libcddb/APKBUILD
index 3ca9d0619e..9f665367a4 100644
--- a/main/libcddb/APKBUILD
+++ b/main/libcddb/APKBUILD
@@ -9,9 +9,6 @@ arch="all"
license="GPL"
depends=
makedepends=
-if [ "$ALPINE_LIBC" != "eglibc" ]; then
- makedepends="libiconv-dev"
-fi
install=
subpackages="$pkgname-dev"
source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2"
diff --git a/main/libcdio-paranoia/APKBUILD b/main/libcdio-paranoia/APKBUILD
index f2549a24c6..5b1af0b119 100644
--- a/main/libcdio-paranoia/APKBUILD
+++ b/main/libcdio-paranoia/APKBUILD
@@ -9,7 +9,7 @@ arch="all"
license="GPLv2+ and LGPLv2+"
depends=""
depends_dev="libcdio-dev"
-makedepends="$depends_dev libiconv-dev autoconf automake libtool"
+makedepends="$depends_dev autoconf automake libtool"
install=""
subpackages="$pkgname-dev $pkgname-doc"
source="http://ftp.gnu.org/gnu/libcdio/libcdio-paranoia-10.2+$_ver.tar.gz
diff --git a/main/libcdio/APKBUILD b/main/libcdio/APKBUILD
index 1be92b51d1..3478518f6c 100644
--- a/main/libcdio/APKBUILD
+++ b/main/libcdio/APKBUILD
@@ -9,9 +9,6 @@ arch="all"
license="GPL3"
depends=
makedepends="libcddb-dev ncurses-dev"
-if [ "$ALPINE_LIBC" != "eglibc" ]; then
- makedepends="$makedepends libiconv-dev"
-fi
install=
subpackages="$pkgname-dev $pkgname-doc $pkgname-tools ${pkgname}++:_cpp"
source="http://ftp.gnu.org/gnu/libcdio/${pkgname}-${pkgver}.tar.gz"
diff --git a/main/libgphoto2/APKBUILD b/main/libgphoto2/APKBUILD
index 484471c895..a32d1b6e67 100644
--- a/main/libgphoto2/APKBUILD
+++ b/main/libgphoto2/APKBUILD
@@ -8,7 +8,7 @@ arch="all"
license="LGPL"
depends=""
depends_dev="libexif-dev libusb-dev"
-makedepends="$depends_dev libjpeg-turbo-dev libtool libiconv-dev"
+makedepends="$depends_dev libjpeg-turbo-dev libtool"
install="$pkgname.pre-install $pkgname.pre-upgrade"
subpackages="$pkgname-dev $pkgname-doc"
replaces="libgphoto2-dev"
diff --git a/main/libidn/APKBUILD b/main/libidn/APKBUILD
index 1628be1eb9..8895da5863 100644
--- a/main/libidn/APKBUILD
+++ b/main/libidn/APKBUILD
@@ -8,7 +8,7 @@ url="http://www.gnu.org/software/libidn/"
arch="all"
license="GPL"
depends=
-makedepends="libiconv-dev"
+makedepends=
install=
subpackages="$pkgname-doc $pkgname-dev"
source="http://ftp.gnu.org/gnu/libidn/$pkgname-$pkgver.tar.gz"
diff --git a/main/libisofs/APKBUILD b/main/libisofs/APKBUILD
index f5b33f1234..2a16af7434 100644
--- a/main/libisofs/APKBUILD
+++ b/main/libisofs/APKBUILD
@@ -7,7 +7,7 @@ url="http://libburnia-project.org/"
arch="all"
license="GPL"
depends=""
-makedepends="acl-dev zlib-dev libiconv-dev"
+makedepends="acl-dev zlib-dev"
subpackages="$pkgname-dev"
source="http://files.libburnia-project.org/releases/libisofs-$pkgver.tar.gz"
diff --git a/main/libmtp/APKBUILD b/main/libmtp/APKBUILD
index 57deb844fa..78fdf1e02b 100644
--- a/main/libmtp/APKBUILD
+++ b/main/libmtp/APKBUILD
@@ -9,7 +9,7 @@ arch="all"
license="LGPLv2+"
depends=""
depends_dev="libusb-compat-dev"
-makedepends="$depends_dev udev-dev libiconv-dev"
+makedepends="$depends_dev udev-dev"
install=""
subpackages="$pkgname-dev $pkgname-examples"
source="http://download.sourceforge.net/libmtp/libmtp-$pkgver.tar.gz"
diff --git a/main/libwnck/APKBUILD b/main/libwnck/APKBUILD
index ccefcadba0..c640b17e24 100644
--- a/main/libwnck/APKBUILD
+++ b/main/libwnck/APKBUILD
@@ -9,7 +9,7 @@ license="LGPL"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
depends=
makedepends="pkgconfig gtk+-dev startup-notification-dev libxres-dev intltool
- gettext-dev libiconv-dev expat-dev libsm-dev e2fsprogs-dev"
+ gettext-dev expat-dev libsm-dev e2fsprogs-dev"
source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.bz2"
depends_dev="glib-dev gtk+-dev libx11-dev pango-dev cairo-dev
diff --git a/main/lua-xctrl/APKBUILD b/main/lua-xctrl/APKBUILD
index e5f755b942..4cac6169eb 100644
--- a/main/lua-xctrl/APKBUILD
+++ b/main/lua-xctrl/APKBUILD
@@ -12,7 +12,7 @@ url="https://github.com/yetanothergeek/xctrl"
arch="all"
license="GPL-2"
depends=
-makedepends="lua-dev libx11-dev libxmu-dev libiconv-dev"
+makedepends="lua-dev libx11-dev libxmu-dev"
install=
subpackages="$pkgname-doc"
source="http://xctrl.googlecode.com/files/xctrl-$_ver.tar.gz"
diff --git a/main/minicom/APKBUILD b/main/minicom/APKBUILD
index e67138718e..53902b8ce2 100644
--- a/main/minicom/APKBUILD
+++ b/main/minicom/APKBUILD
@@ -8,7 +8,7 @@ url="http://alioth.debian.org/projects/minicom"
arch="all"
license="GPL2+"
depends=""
-makedepends="ncurses-dev libiconv-dev gettext-dev"
+makedepends="ncurses-dev gettext-dev"
install=""
subpackages="$pkgname-doc $pkgname-lang"
source="http://alioth.debian.org/frs/download.php/file/3977/minicom-$pkgver.tar.gz
diff --git a/main/minidlna/APKBUILD b/main/minidlna/APKBUILD
index f1fe403f2e..e318c068ed 100644
--- a/main/minidlna/APKBUILD
+++ b/main/minidlna/APKBUILD
@@ -9,7 +9,7 @@ arch="all"
license="GPL"
depends=
depends_dev="libvorbis-dev libogg-dev libid3tag-dev libexif-dev libjpeg-turbo-dev
- sqlite-dev ffmpeg-dev flac-dev libiconv-dev"
+ sqlite-dev ffmpeg-dev flac-dev"
makedepends="$depends_dev bsd-compat-headers"
install="minidlna.pre-install"
subpackages="$pkgname-doc"
diff --git a/main/mutt/APKBUILD b/main/mutt/APKBUILD
index 189c423279..8d9df5b8a2 100644
--- a/main/mutt/APKBUILD
+++ b/main/mutt/APKBUILD
@@ -8,7 +8,7 @@ url="http://www.mutt.org"
arch="all"
license="GPL"
depends=
-makedepends="cyrus-sasl-dev gdbm-dev gettext-dev gpgme-dev libiconv-dev
+makedepends="cyrus-sasl-dev gdbm-dev gettext-dev gpgme-dev
libidn-dev ncurses-dev openssl-dev perl"
install=
subpackages="$pkgname-doc $pkgname-lang"
diff --git a/main/oprofile/APKBUILD b/main/oprofile/APKBUILD
index f3fa34c059..0fa85b2079 100644
--- a/main/oprofile/APKBUILD
+++ b/main/oprofile/APKBUILD
@@ -8,7 +8,7 @@ url="http://oprofile.sourceforge.net/"
arch=""
license="GPL"
depends=""
-makedepends="libiconv-dev popt-dev gettext-dev"
+makedepends="popt-dev gettext-dev"
install=
subpackages="$pkgname-doc"
options="libtool"
diff --git a/main/pekwm/APKBUILD b/main/pekwm/APKBUILD
index f5f73f3798..14868a434b 100644
--- a/main/pekwm/APKBUILD
+++ b/main/pekwm/APKBUILD
@@ -7,7 +7,7 @@ url="http://pekwm.org/projects/pekwm"
arch="all"
license="GPL"
depends=
-makedepends="libiconv-dev libx11-dev libpng-dev libxpm-dev libxrender-dev libxrandr-dev"
+makedepends="libx11-dev libpng-dev libxpm-dev libxrender-dev libxrandr-dev"
install=
subpackages="$pkgname-doc"
source="http://pekwm.org/projects/pekwm/files/pekwm-$pkgver.tar.bz2"
diff --git a/main/php/APKBUILD b/main/php/APKBUILD
index 98da5f94c9..1146c0df0f 100644
--- a/main/php/APKBUILD
+++ b/main/php/APKBUILD
@@ -29,7 +29,6 @@ makedepends="
imap-dev
libevent-dev
libgcrypt-dev
- libiconv-dev
libjpeg-turbo-dev
libmcrypt-dev
libpng-dev
diff --git a/main/poppler/APKBUILD b/main/poppler/APKBUILD
index e829ffeb4f..3ba7140313 100644
--- a/main/poppler/APKBUILD
+++ b/main/poppler/APKBUILD
@@ -13,7 +13,7 @@ license="GPL"
depends=
depends_dev="cairo-dev glib-dev"
makedepends="$depends_dev libjpeg-turbo-dev cairo-dev libxml2-dev
- fontconfig-dev libiconv-dev lcms2-dev gobject-introspection-dev
+ fontconfig-dev lcms2-dev gobject-introspection-dev
openjpeg-dev"
subpackages="$pkgname-dev $pkgname-doc $pkgname-utils $pkgname-glib
"
diff --git a/main/ruby-nokogiri/APKBUILD b/main/ruby-nokogiri/APKBUILD
index 16dc51ff37..2ae54b6f9a 100644
--- a/main/ruby-nokogiri/APKBUILD
+++ b/main/ruby-nokogiri/APKBUILD
@@ -10,7 +10,7 @@ arch="all"
license="MIT"
depends="ruby ruby-mini_portile"
depends_dev=""
-makedepends="ruby-dev libxml2-dev libxslt-dev libiconv-dev"
+makedepends="ruby-dev libxml2-dev libxslt-dev"
install=""
subpackages=""
source="http://gems.rubyforge.org/gems/$_gemname-$pkgver.gem"
diff --git a/main/ruby/APKBUILD b/main/ruby/APKBUILD
index 0b00dbeb23..31e7dc9cf9 100644
--- a/main/ruby/APKBUILD
+++ b/main/ruby/APKBUILD
@@ -12,7 +12,7 @@ url="http://www.ruby-lang.org/en/"
arch="all"
license="Ruby"
depends=""
-makedepends="zlib-dev openssl-dev libiconv-dev gdbm-dev db-dev readline-dev
+makedepends="zlib-dev openssl-dev gdbm-dev db-dev readline-dev
libffi-dev coreutils yaml-dev autoconf"
subpackages="$pkgname-doc $pkgname-dev $pkgname-irb
$pkgname-rdoc $pkgname-rake $pkgname-bigdecimal
diff --git a/main/samba/APKBUILD b/main/samba/APKBUILD
index 8e33dd6dec..c517b42aca 100644
--- a/main/samba/APKBUILD
+++ b/main/samba/APKBUILD
@@ -39,7 +39,7 @@ depends="$pkgname-server"
# note that heimdal is required (over mit krb5) for AD DC functionality
makedepends="popt-dev ncurses-dev openldap-dev heimdal-dev e2fsprogs-dev
- libiconv-dev talloc-dev tdb-dev ldb-dev cups-dev python-dev libcap-dev
+ talloc-dev tdb-dev ldb-dev cups-dev python-dev libcap-dev
tevent-dev iniparser-dev perl subunit-dev docbook-xsl libarchive-dev"
source="http://us1.samba.org/samba/ftp/stable/samba-$pkgver.tar.gz
fix-libreplace.patch
diff --git a/main/sdl/APKBUILD b/main/sdl/APKBUILD
index 2ce1080ab2..a8994f1c75 100644
--- a/main/sdl/APKBUILD
+++ b/main/sdl/APKBUILD
@@ -8,9 +8,9 @@ arch="all"
license="LGPL"
subpackages="$pkgname-dev $pkgname-doc"
depends=
-depends_dev="libx11-dev libiconv-dev"
+depends_dev="libx11-dev"
makedepends="$depends_dev libxext-dev libxrender-dev libx11-dev libice-dev
- libsm-dev libxrandr-dev mesa-dev alsa-lib-dev libiconv-dev glu-dev"
+ libsm-dev libxrandr-dev mesa-dev alsa-lib-dev glu-dev"
source="http://www.libsdl.org/release/SDL-$pkgver.tar.gz
SDL-1.2.10-GrabNotViewable.patch
SDL-1.2.15-const_XData32.patch
diff --git a/main/tango-icon-theme/APKBUILD b/main/tango-icon-theme/APKBUILD
index 9a26b97edf..732d945520 100644
--- a/main/tango-icon-theme/APKBUILD
+++ b/main/tango-icon-theme/APKBUILD
@@ -7,7 +7,7 @@ url="http://tango.freedesktop.org"
arch="all"
license="CCPL-Attribution-ShareAlike-2.5"
depends=
-makedepends="pkgconfig intltool icon-naming-utils imagemagick-dev libiconv-dev"
+makedepends="pkgconfig intltool icon-naming-utils imagemagick-dev"
source="http://tango.freedesktop.org/releases/$pkgname-$pkgver.tar.gz"
_builddir="$srcdir"/$pkgname-$pkgver
diff --git a/main/tig/APKBUILD b/main/tig/APKBUILD
index eb99994926..f2092ea02e 100644
--- a/main/tig/APKBUILD
+++ b/main/tig/APKBUILD
@@ -9,7 +9,7 @@ arch="all"
license="GPL2+"
depends="git"
depends_dev=""
-makedepends="ncurses-dev xmlto asciidoc git libiconv-dev"
+makedepends="ncurses-dev xmlto asciidoc git"
install=""
subpackages="$pkgname-doc"
source="http://jonas.nitro.dk/tig/releases/$pkgname-$pkgver.tar.gz"
diff --git a/main/unionfs-fuse/APKBUILD b/main/unionfs-fuse/APKBUILD
index bcab69ac90..f7b476e0b9 100644
--- a/main/unionfs-fuse/APKBUILD
+++ b/main/unionfs-fuse/APKBUILD
@@ -7,7 +7,7 @@ url="http://podgorny.cz/moin/UnionFsFuse"
arch="all"
license="BSD"
depends=""
-makedepends="fuse-dev libiconv-dev"
+makedepends="fuse-dev"
subpackages="$pkgname-doc"
source="http://podgorny.cz/unionfs-fuse/releases/$pkgname-$pkgver.tar.xz"
diff --git a/main/vlc/APKBUILD b/main/vlc/APKBUILD
index c82cbefbd0..eb3c5ecfe3 100644
--- a/main/vlc/APKBUILD
+++ b/main/vlc/APKBUILD
@@ -68,7 +68,6 @@ makedepends="
libdvdread-dev
libgcrypt-dev
libice-dev
- libiconv-dev
libmad-dev
libmatroska-dev
libmpeg2-dev
diff --git a/main/wavpack/APKBUILD b/main/wavpack/APKBUILD
index 4ba2bb1593..86aa3e6dbf 100644
--- a/main/wavpack/APKBUILD
+++ b/main/wavpack/APKBUILD
@@ -9,9 +9,6 @@ arch="all"
license="BSD"
depends=""
makedepends="autoconf automake libtool"
-if [ "$ALPINE_LIBC" != eglibc ]; then
- makedepends="$makedepends libiconv-dev"
-fi
install=
subpackages="$pkgname-dev $pkgname-doc"
source="http://www.wavpack.com/${pkgname}-${pkgver}.tar.bz2
diff --git a/main/weechat/APKBUILD b/main/weechat/APKBUILD
index 82c896830b..a786cbffd2 100644
--- a/main/weechat/APKBUILD
+++ b/main/weechat/APKBUILD
@@ -8,7 +8,7 @@ url="http://www.weechat.org"
arch="all"
license="GPL3+"
depends=""
-depends_dev="cmake libiconv-dev libintl ncurses-dev gnutls-dev libgcrypt-dev
+depends_dev="cmake libintl ncurses-dev gnutls-dev libgcrypt-dev
lua-dev aspell-dev perl-dev python-dev curl-dev"
makedepends="$depends_dev"
install=""
diff --git a/main/xen/APKBUILD b/main/xen/APKBUILD
index 45866d7096..6f6f5642b1 100644
--- a/main/xen/APKBUILD
+++ b/main/xen/APKBUILD
@@ -10,7 +10,7 @@ arch="x86_64"
license="GPL"
depends="syslinux bash iproute2 logrotate"
depends_dev="openssl-dev python-dev e2fsprogs-dev gettext zlib-dev ncurses-dev
- libiconv-dev dev86 texinfo perl iasl pciutils-dev glib-dev yajl-dev
+ dev86 texinfo perl iasl pciutils-dev glib-dev yajl-dev
spice-dev gnutls-dev curl-dev libaio-dev lzo-dev xz-dev util-linux-dev
e2fsprogs-dev linux-headers"
makedepends="$depends_dev autoconf automake libtool"
diff --git a/main/zabbix/APKBUILD b/main/zabbix/APKBUILD
index 30ff60bfd8..3d51269c1a 100644
--- a/main/zabbix/APKBUILD
+++ b/main/zabbix/APKBUILD
@@ -10,7 +10,7 @@ url="http://www.zabbix.com"
arch="all"
license="GPL"
depends="fping"
-makedepends="postgresql-dev curl-dev libiconv-dev net-snmp-dev
+makedepends="postgresql-dev curl-dev net-snmp-dev
sqlite-dev mariadb-dev curl-dev openipmi-dev unixodbc-dev
autoconf automake"
install="$pkgname.pre-install"